MPTSCSIH_TASKMGMT_CO(9)

NAME
mptscsih_taskmgmt_complete - Registered with Fusion MPT base driver

SYNOPSIS

int mptscsih_taskmgmt_complete(MPT_ADAPTER * ioc, MPT_FRAME_HDR * mf, MPT_FRAME_HDR * mr);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

mf
    Pointer to SCSI task mgmt request frame

mr
    Pointer to SCSI task mgmt reply frame

DESCRIPTION

This routine is called from mptbase.c::mpt_interrupt at the completion of any SCSI task management request. This routine is registered with the MPT (base) driver at driver load/init time via the mpt_register API call.

Returns 1 indicating alloc'd request frame ptr should be freed.

COPYRIGHT